package java.time.format;

import java.time.DateTimeException;

public class DateTimeParseException extends DateTimeException
{
    private static final long serialVersionUID = 4304633501674722597L;
    private final String parsedString;
    private final int errorIndex;
    
    public DateTimeParseException(String message, CharSequence charSequence, int errorIndex) {
        super(message);
        this.parsedString = charSequence.toString();
        this.errorIndex = errorIndex;
    }
    
    public DateTimeParseException(String message, CharSequence charSequence, int errorIndex, Throwable cause) {
        super(message, cause);
        this.parsedString = charSequence.toString();
        this.errorIndex = errorIndex;
    }
    
    public String getParsedString() {
        return this.parsedString;
    }
    
    public int getErrorIndex() {
        return this.errorIndex;
    }
}
